<?php

	#require_once("../../config/connect.php");
	require_once("../../global_functions.php");
	
	$exeTime=ini_get('max_execution_time'); 
	ini_set('max_execution_time', 0); // to get unlimited php script execution time
	
	// Create connection
	//define ('SQL_HOST', 'localhost');
	//define ('SQL_USER', 'sitpos');
	//define ('SQL_PW', 'mXXXXXXXXXXXXXXt');
	//define ('SQL_DB', 'sitpos');
	$con=mysql_connect(SQL_HOST, SQL_USER, SQL_PW, SQL_DB);
	
	$kassaIp=false;
	if(isset($_GET['kassaIp']) && strlen($_GET['kassaIp']) > 2) $kassaIp=$_GET['kassaIp'];
	
	
	$errorMsg="";
	
	if (!mysql_select_db(SQL_DB, $con)) {
		echo 'Could not select database';
		exit;
	}
	
	list ($terminalId, $terminalType) = get_my_bankomat_terminal_id(); // in glboal_functions gibt das richtige Terminal für die IP zurück
	$command_line=get_command_line_for_ce_terminal($terminalType, $terminalId);  // in global_functions gibt exe Datei für terminalType zurück
	$resp=false;
	$cCheck=false;
	
	$command=' start /B wmic path win32_process WHERE Name="'.$command_line.'" get commandline, processid';	
	echo $command . "\n";
	$resp=shell_exec($command);

	$sSplit=explode(PHP_EOL, $resp);
	
		# splitten nach Zeilen falls es mehrere gibt
		# könnten Leerzeilen dabei sein, das if checked nochmal auf six_zahlen.exe
	
	for($i=0; $i < count($sSplit); $i++){
		if(preg_match("/$command_line/i", $sSplit[$i])){ 
			$lineSplit=preg_split('/\s+/', $sSplit[$i]); 
			if($lineSplit[2] == $terminalId){
				$cCheck=false;
				$cCheckPid=false;
				$killCmd="TASKKILL /F /PID ".$lineSplit[4];
				$cCheck=shell_exec($killCmd);
				#	file_put_contents('C:\\tmp\\zulu.txt', " wird der killer -> pId: ".$lineSplit[4]." --- ".$cCheck." -- exe time-> ".$exeTime."\n", FILE_APPEND);
			}
		}		
	}
	
	if($i > 0 && preg_match('/erfolgreich/i', $cCheck)){
		# hier wird nur das letzte ergebnis berücksichtiogt, entweder ist es eh nur eines das
		# gestopt wird oder wénn das letzte okay ist, sind die anderen davor auch okay.
		# file_put_contents('C:\\tmp\\zulu.txt', " kill ergebnis -> ".$cCheck."\n", FILE_APPEND);
		
		echo "<script>	parent.sixTerminalResponse('taskkillSuccess', ''); 		</script>";
		
	}
	
	ini_set('max_execution_time', $exeTime);
	
?>
